# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "repose-tree"
version = "0.21.1"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Persistent view tree with incremental updates for Repose"
readme = false
license = "LGPL-2.1-or-later"
resolver = "2"

[lib]
name = "repose_tree"
path = "src/lib.rs"

[dependencies.log]
version = "0.4"

[dependencies.rapidhash]
version = "4.4"

[dependencies.repose-core]
version = "0.21.0"

[dependencies.rustc-hash]
version = "2.1"

[dependencies.slotmap]
version = "1.1"

[dependencies.smallvec]
version = "1.15"
